## apache-cloudstack-4.22.0.0-src.tar.bz2

=== requirements.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# Marvin dependencies are installed via its bundle

# Install the SolidFire SDK for Python
solidfire-sdk-python

=== debian/changelog ===
cloudstack (4.22.0.0) unstable; urgency=low

  * Update the version to 4.22.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 30 Oct 2025 19:23:55 +0530

cloudstack (4.22.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.22.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, Aug 28 11:58:36 2025 +0530

cloudstack (4.21.0.0) unstable; urgency=low

  * Update the version to 4.21.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Fri, 22 Aug 2025 11:42:37 +0530

cloudstack (4.21.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.21.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Tue, 19 Nov 2024 08:54:07 -0300

cloudstack (4.21.0.0-SNAPSHOT-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.21.0.0-SNAPSHOT-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 29 Jan 2024 10:21:52 +0530

cloudstack (4.19.0.0) unstable; urgency=low

  * Update the version to 4.19.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 29 Jan 2024 10:21:52 +0530

cloudstack (4.18.1.0) unstable; urgency=low

  * Update the version to 4.18.1.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 21 Jun 2023 12:30:00 +0200

cloudstack (4.18.0.0) unstable; urgency=low

  * Update the version to 4.18.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Sat, 11 Mar 2023 09:35:41 +0100

cloudstack (4.17.1.0) unstable; urgency=low

  * Update the version to 4.17.1.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Fri, 23 Sep 2022 17:32:43 +0530

cloudstack (4.17.0.1) unstable; urgency=low

  * Update the version to 4.17.0.1

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Fri, 15 Jul 2022 18:18:39 +0530

cloudstack (4.17.0.0) unstable; urgency=low

  * Update the version to 4.17.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Tue, 31 May 2022 14:33:47 -0300

cloudstack (4.17.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.17.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 10 Nov 2021 12:31:57 -0300

cloudstack (4.16.0.0) unstable; urgency=low

  * Update the version to 4.16.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 04 Nov 2021 14:14:57 -0300

cloudstack (4.16.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.16.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Tue, 11 Jan 2021 10:51:02 +0000

cloudstack (4.15.0.0) unstable; urgency=low

  * Update the version to 4.15.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 23 Dec 2020 16:32:25 +0000

cloudstack (4.15.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.15.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 11 May 2020 15:03:14 +0100

cloudstack (4.15.0.0-SNAPSHOT-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.15.0.0-SNAPSHOT-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 14 Mar 2019 10:11:46 -0300

cloudstack (4.15.0.0-SNAPSHOT-SNAPSHOT-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.15.0.0-SNAPSHOT-SNAPSHOT-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 15 Jan 2018 17:42:30 +0530

cloudstack (4.11.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.11.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 03 Jul 2017 10:06:42 +0530

cloudstack (4.10.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.10.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 08 Aug 2016 11:22:34 +0530

cloudstack (4.9.0) unstable; urgency=low

  [ Remi Bergsma ]
  * Update the version to 4.9.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 20 Jan 2016 23:43:35 +0100

cloudstack (4.8.0-SNAPSHOT) unstable; urgency=low

  [ Remi Bergsma ]
  * Update the version to 4.8.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Sun, 21 Dec 2015 22:11:55 +0100

cloudstack (4.7.0-SNAPSHOT) unstable; urgency=low

  [ Remi Bergsma ]
  * Update the version to 4.7.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Sun, 15 Nov 2015 21:28:33 +0100

cloudstack (4.6.0-SNAPSHOT) unstable; urgency=low

  [ Hugo Trippaers ]
  * Update the version to 4.6.0.snapshot

  [ Rafael da Fonseca ]
  * Switch to dpkg-source 3.0 (native) format

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 18 Jun 2015 11:17:09 +0200

cloudstack (4.5.0-snapshot) unstable; urgency=low

  * Update the version to 4.5.0.snapshot

 -- Hugo Trippaers <hugo@apache.org>  Thu, 21 Nov 2013 12:00:00 -0400

cloudstack (4.4.0-snapshot) unstable; urgency=low

  * Update the version to 4.4.0.snapshot

 -- Hugo Trippaers <hugo@apache.org>  Thu, 21 Nov 2013 12:00:00 -0400

cloudstack (4.3.0-snapshot) unstable; urgency=low

  * Update the version to 4.3.0.snapshot

 -- Chip Childers <chipchilders@apache.org>  Thu, 1 Aug 2013 12:00:00 -0400

cloudstack (4.2.0) unstable; urgency=low

  * Update the version to 4.2.0 to be in sync with Maven (again)

 -- Wido den Hollander <wido@widodh.nl>  Tue, 14 May 2013 15:56:42 +0200

cloudstack (4.2.0-incubating-0.0.snapshot) unstable; urgency=low

  * Update the version to 4.2.0 to be in sync with Maven

 -- Wido den Hollander <wido@widodh.nl>  Wed, 13 Mar 2013 19:15:00 +0100

cloudstack (4.1.0-incubating-0.0.snapshot) unstable; urgency=low

  * Incorporate incubating into version, remove epoch

 -- Noa Resare <noa@spotify.com>  Tue, 05 Feb 2013 18:05:28 +0000

cloud (1:4.0.0-1) unstable; urgency=low

  * Bumping the version to 4.0.0

 -- Chip Childers <chipchilders@apache.org>  Fri, 5 Oct 2012 16:00:00 -0500

cloud (1:4.0.0-beta6) unstable; urgency=low

  * Bumping the version to 4.0 Beta 6



=== debian/control ===
Source: cloudstack
Section: libs
Priority: extra
Maintainer: The Apache CloudStack Team <dev@cloudstack.apache.org>
Build-Depends: debhelper (>= 9), openjdk-17-jdk | java17-sdk | java17-jdk | zulu-17 | openjdk-11-jdk | java11-sdk | java11-jdk | zulu-11, genisoimage,
 python-mysql.connector | python3-mysql.connector | mysql-connector-python-py3, maven (>= 3) | maven3,
 python (>= 2.7) | python2 (>= 2.7), python3 (>= 3), python-setuptools, python3-setuptools,
 nodejs (>= 12), lsb-release, dh-systemd | debhelper (>= 13)
Standards-Version: 3.8.1
Homepage: http://www.cloudstack.org/

Package: cloudstack-common
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, genisoimage, nfs-common, python3-pip, python3-distutils | python3-distutils-extra, python3-netaddr, uuid-runtime
Conflicts: cloud-scripts, cloud-utils, cloud-system-iso, cloud-console-proxy, cloud-daemonize, cloud-deps, cloud-python, cloud-setup
Description: A common package which contains files which are shared by several CloudStack packages

Package: cloudstack-management
Architecture: all
Depends: ${python3:Depends}, openjdk-17-jre-headless | java17-runtime-headless | java17-runtime | zulu-17, cloudstack-common (= ${source:Version}), net-tools, sudo, python3-mysql.connector | mysql-connector-python-py3, augeas-tools, mysql-client | mariadb-client, adduser, bzip2, ipmitool, file, gawk, iproute2, qemu-utils, rng-tools, python3-dnspython, lsb-release, init-system-helpers (>= 1.14~), python3-setuptools
Conflicts: cloud-server, cloud-client, cloud-client-ui
Description: CloudStack server library
 The CloudStack management server

Package: cloudstack-agent
Architecture: all
Depends: ${python:Depends}, ${python3:Depends}, openjdk-17-jre-headless | java17-runtime-headless | java17-runtime | zulu-17, cloudstack-common (= ${source:Version}), lsb-base (>= 9), openssh-client, qemu-kvm (>= 2.5) | qemu-system-x86 (>= 5.2), libvirt-bin (>= 1.3) | libvirt-daemon-system (>= 3.0), iproute2, ebtables, vlan, ipset, python3-libvirt, ethtool, iptables, cryptsetup, rng-tools, rsync, lsb-release, ufw, apparmor, cpu-checker, libvirt-daemon-driver-storage-rbd, sysstat
Recommends: init-system-helpers
Conflicts: cloud-agent, cloud-agent-libs, cloud-agent-deps, cloud-agent-scripts
Description: CloudStack agent
 The CloudStack agent is in charge of managing shared computing resources in
 a CloudStack powered cloud.  Install this package if this computer
 will participate in your cloud as a KVM HyperVisor.

Package: cloudstack-usage
Architecture: all
Depends: openjdk-17-jre-headless | java17-runtime-headless | java17-runtime | zulu-17, cloudstack-common (= ${source:Version}), init-system-helpers
Description: CloudStack usage monitor
 The CloudStack usage monitor provides usage accounting across the entire cloud for
 cloud operators to charge based on usage parameters.

Package: cloudstack-ui
Architecture: all
Depends: ${misc:Depends}
Description: The CloudStack UI

Package: cloudstack-docs
Architecture: all
Depends: ${misc:Depends}
Description: The CloudStack documentation

Package: cloudstack-marvin
Architecture: all
Depends: ${misc:Depends}, python3-pip, python3-dev, libffi-dev
Description: The CloudStack Marvin library

Package: cloudstack-integration-tests
Architecture: all
Depends: ${misc:Depends}, cloudstack-marvin (= ${source:Version})
Description: The CloudStack Marvin integration tests

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
VERSION := $(shell grep '<version>' pom.xml | head -2 | tail -1 | cut -d'>' -f2 |cut -d'<' -f1)
PACKAGE = $(shell dh_listpackages|head -n 1|cut -d '-' -f 1)
SYSCONFDIR = "/etc"
DESTDIR = "debian/tmp"
CMK_REL := $(shell wget -O - "https://api.github.com/repos/apache/cloudstack-cloudmonkey/releases" 2>/dev/null | jq -r '.[0].tag_name')

%:
	dh $@ --with systemd

override_dh_auto_configure:
	cp packaging/debian/replace.properties replace.properties.tmp
	echo VERSION=${VERSION} >> replace.properties.tmp

override_dh_auto_build:
	mvn clean package -Psystemvm,developer -Dsystemvm \
	    -Dcs.replace.properties=replace.properties.tmp \
	    -Dmaven.repo.local=$(HOME)/.m2/repository \
	     ${ACS_BUILD_OPTS}

override_dh_auto_clean:
	dh_auto_clean
	rm -f replace.properties.tmp

override_dh_auto_install:
	# Common packages
	mkdir -p $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)
	mkdir -p $(DESTDIR)/$(SYSCONFDIR)/default

	mkdir -p $(DESTDIR)/var/cache/$(PACKAGE)
	mkdir -p $(DESTDIR)/var/log/$(PACKAGE)
	mkdir -p $(DESTDIR)/var/lib/$(PACKAGE)
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share

	# cloudstack-agent
	mkdir $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/agent
	mkdir $(DESTDIR)/$(SYSCONFDIR)/profile.d
	mkdir $(DESTDIR)/usr/share/$(PACKAGE)-agent
	mkdir $(DESTDIR)/usr/share/$(PACKAGE)-agent/plugins
	mkdir $(DESTDIR)/usr/share/$(PACKAGE)-agent/lib
	install -D plugins/hypervisors/kvm/target/cloud-plugin-hypervisor-kvm-$(VERSION).jar $(DESTDIR)/usr/share/$(PACKAGE)-agent/lib/
	install -D plugins/hypervisors/kvm/target/dependencies/* $(DESTDIR)/usr/share/$(PACKAGE)-agent/lib/
	install -D plugins/storage/volume/storpool/target/cloud-plugin-storage-volume-storpool-$(VERSION).jar $(DESTDIR)/usr/share/$(PACKAGE)-agent/lib/
	install -D plugins/storage/volume/linstor/target/cloud-plugin-storage-volume-linstor-$(VERSION).jar $(DESTDIR)/usr/share/$(PACKAGE)-agent/lib/

	install -d -m0755 debian/$(PACKAGE)-agent/lib/systemd/system
	install -m0644 packaging/systemd/$(PACKAGE)-agent.service debian/$(PACKAGE)-agent/lib/systemd/system/$(PACKAGE)-agent.service
	install -m0644 packaging/systemd/$(PACKAGE)-agent.default $(DESTDIR)/$(SYSCONFDIR)/default/$(PACKAGE)-agent
	install -m0644 packaging/systemd/$(PACKAGE)-rolling-maintenance@.service debian/$(PACKAGE)-agent/lib/systemd/system/$(PACKAGE)-rolling-maintenance@.service

	install -D -m0644 agent/target/transformed/cloudstack-agent.logrotate $(DESTDIR)/$(SYSCONFDIR)/logrotate.d/cloudstack-agent

	install -D agent/target/transformed/cloud-setup-agent $(DESTDIR)/usr/bin/cloudstack-setup-agent
	install -D agent/target/transformed/cloud-ssh $(DESTDIR)/usr/bin/cloudstack-ssh
	install -D agent/target/transformed/cloudstack-agent-profile.sh $(DESTDIR)/$(SYSCONFDIR)/profile.d/cloudstack-agent-profile.sh
	install -D agent/target/transformed/cloudstack-agent-upgrade $(DESTDIR)/usr/bin/cloudstack-agent-upgrade
	install -D agent/target/transformed/cloud-guest-tool $(DESTDIR)/usr/bin/cloudstack-guest-tool
	install -D agent/target/transformed/libvirtqemuhook $(DESTDIR)/usr/share/$(PACKAGE)-agent/lib/
	install -D agent/target/transformed/rolling-maintenance $(DESTDIR)/usr/share/$(PACKAGE)-agent/lib/
	install -D agent/target/transformed/* $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/agent

	# cloudstack-management
	mkdir $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/server
	mkdir $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/management
	mkdir -p $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/extensions
	mkdir -p $(DESTDIR)/$(SYSCONFDIR)/security/limits.d/
	mkdir -p $(DESTDIR)/$(SYSCONFDIR)/sudoers.d/
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)-management
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)-management/lib
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)-management/setup
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)-management/templates/systemvm
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)-management/cks/conf
	mkdir $(DESTDIR)/var/log/$(PACKAGE)/management
	mkdir $(DESTDIR)/var/cache/$(PACKAGE)/management
	mkdir $(DESTDIR)/var/log/$(PACKAGE)/ipallocator
	mkdir $(DESTDIR)/var/lib/$(PACKAGE)/management
	mkdir $(DESTDIR)/var/lib/$(PACKAGE)/mnt

	cp -r client/target/utilities/scripts/db/* $(DESTDIR)/usr/share/$(PACKAGE)-management/setup/
	cp -r client/target/classes/META-INF/webapp $(DESTDIR)/usr/share/$(PACKAGE)-management/webapp
	cp server/target/conf/* $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/server/
	cp client/target/conf/* $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/management/
	cp -r extensions/* $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/extensions/
	cp client/target/cloud-client-ui-$(VERSION).jar $(DESTDIR)/usr/share/$(PACKAGE)-management/lib/cloudstack-$(VERSION).jar
	cp client/target/lib/*jar $(DESTDIR)/usr/share/$(PACKAGE)-management/lib/
	cp -r engine/schema/dist/systemvm-templates/* $(DESTDIR)/usr/share/$(PACKAGE)-management/templates/systemvm/
	cp -r plugins/integrations/kubernetes-service/src/main/resources/conf/* $(DESTDIR)/usr/share/$(PACKAGE)-management/cks/conf/
	rm -rf $(DESTDIR)/usr/share/$(PACKAGE)-management/templates/systemvm/sha512sum.txt

	# Bundle cmk in cloudstack-management
	wget https://github.com/apache/cloudstack-cloudmonkey/releases/download/$(CMK_REL)/cmk.linux.x86-64 -O $(DESTDIR)/usr/bin/cmk
	chmod +x $(DESTDIR)/usr/bin/cmk

	# nast hack for a couple of configuration files
	mv $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/server/cloudstack-limits.conf $(DESTDIR)/$(SYSCONFDIR)/security/limits.d/
	mv $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/server/cloudstack-sudoers $(DESTDIR)/$(SYSCONFDIR)/sudoers.d/$(PACKAGE)
	chmod 0440 $(DESTDIR)/$(SYSCONFDIR)/sudoers.d/$(PACKAGE)

	install -D client/target/utilities/bin/cloud-update-xenserver-licenses $(DESTDIR)/usr/bin/cloudstack-update-xenserver-licenses

	install -D plugins/integrations/kubernetes-service/src/main/resources/conf/etcd-node.yml $(DESTDIR)/usr/share/$(PACKAGE)-management/cks/conf/etcd-node.yml
	install -D plugins/integrations/kubernetes-service/src/main/resources/conf/k8s-control-node.yml $(DESTDIR)/usr/share/$(PACKAGE)-management/cks/conf/k8s-control-node.yml
	install -D plugins/integrations/kubernetes-service/src/main/resources/conf/k8s-control-node-add.yml $(DESTDIR)/usr/share/$(PACKAGE)-management/cks/conf/k8s-control-node-add.yml
	install -D plugins/integrations/kubernetes-service/src/main/resources/conf/k8s-node.yml $(DESTDIR)/usr/share/$(PACKAGE)-management/cks/conf/k8s-node.yml

	# Remove configuration in /ur/share/cloudstack-management/webapps/client/WEB-INF
	# This should all be in /etc/cloudstack/management
	ln -s ../../..$(SYSCONFDIR)/$(PACKAGE)/management $(DESTDIR)/usr/share/$(PACKAGE)-management/conf
	ln -s ../../..$(SYSCONFDIR)/$(PACKAGE)/extensions $(DESTDIR)/usr/share/$(PACKAGE)-management/extensions
	ln -s ../../../var/log/$(PACKAGE)/management $(DESTDIR)/usr/share/$(PACKAGE)-management/logs

	install -d -m0755 debian/$(PACKAGE)-management/lib/systemd/system
	install -m0644 packaging/systemd/$(PACKAGE)-management.service debian/$(PACKAGE)-management/lib/systemd/system/$(PACKAGE)-management.service
	install -m0644 packaging/systemd/$(PACKAGE)-management.default $(DESTDIR)/$(SYSCONFDIR)/default/$(PACKAGE)-management

	install -D -m0644 server/target/conf/cloudstack-management.logrotate $(DESTDIR)/$(SYSCONFDIR)/logrotate.d/cloudstack-management

	# cloudstack-ui
	mkdir $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/ui
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)-ui
	cd ui && npm install && npm run build && cd ..
	cp -r ui/dist/config.json $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/ui/
	cp -r ui/dist/* $(DESTDIR)/usr/share/$(PACKAGE)-ui/
	rm -f $(DESTDIR)/usr/share/$(PACKAGE)-ui/config.json
	ln -s /$(SYSCONFDIR)/$(PACKAGE)/ui/config.json $(DESTDIR)/usr/share/$(PACKAGE)-ui/config.json
	# copy ui to cloudstack-management
	cp -r ui/dist/config.json $(DESTDIR)/$(SYSCONFDIR)/$(PACKAGE)/management/
	cp -r ui/dist/* $(DESTDIR)/usr/share/$(PACKAGE)-management/webapp/
	rm -f $(DESTDIR)/usr/share/$(PACKAGE)-management/webapp/config.json
